.video-main-container {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    background-color: black;
    position: relative;
}

#hp-video {
    object-fit: cover;
}

.video-overlay-container {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;
    justify-content: flex-end;
    z-index: 3;
    background-color: transparent;
    position: absolute;
    top: 0px !important;
}

.video-controls-container {
    display: flex;
    flex-direction: row;
    width: 100%;
    background-color: transparent;
    justify-content: end;
    align-items: start;
    gap: 0.75rem;
    position: absolute;
    right: 0.9375rem;
    top: 0.875rem;
}

.btn-play {
    display: flex;
    width: 2.5rem;
    height: 2.5rem;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    border: 1px solid #FFF;
    background: rgba(255, 255, 255, 0.15);
}

.btn-play::after {
    content: "\f04b";
    font: normal normal 900 1.25rem/1.75rem "Font Awesome 6 Pro" !important;
    color: #FFF;
    text-align: center;
    letter-spacing: 0.125rem;
    text-transform: uppercase;
    padding-left: 0.3rem;
}

.btn-pause {
    display: flex;
    width: 2.5rem;
    height: 2.5rem;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    border: 1px solid #FFF;
    background: rgba(255, 255, 255, 0.15);
}

.btn-pause::after {
    content: "\f04c";
    font: normal normal 900 1.25rem/1.75rem "Font Awesome 6 Pro" !important;
    color: #FFF;
    text-align: center;
    letter-spacing: 0.125rem;
    text-transform: uppercase;
    padding-left: 0.15rem;
}

.btn-play:hover {
    background-color: #ffffffbd;
    color: #fff;
    text-decoration: none;
}

.btn-play:focus-visible {
    background-color: #ffffffbd;
    color: #fff;
    text-decoration: none;
}

.btn-pause:hover {
    background-color: #ffffffbd;
    color: #fff;
    text-decoration: none;
}

.btn-pause:focus-visible {
    background-color: #ffffffbd;
    color: #fff;
    text-decoration: none;
}

.video-playback-container button {
    display: flex;
    flex-direction: row;
    width: 100%;
    background-color: transparent;
    justify-content: end;
    align-items: start;
}

.video-mute-container {
    display: flex;
    width: 2.5rem;
    height: 2.5rem;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    background: rgba(255, 255, 255, 0.40);
}

.video-mute-container::after{
   content: "\f2e2";
   font: normal normal 900 1.25rem/1.75rem "Font Awesome 6 Pro" !important;
   color: #FFF;
   text-align: center;
   letter-spacing: 0.125rem;
   text-transform: uppercase;
   padding-left: 0.3rem;
}